import request from '@/utils/request'

// 分页查询费用类型列表
export function pageListType(query) {
  return request({
    url: '/fee/type/pageList',
    method: 'get',
    params: query
  })
}

// 查询费用类型列表
export function listType(query) {
  return request({
    url: '/fee/type/list',
    method: 'get',
    params: query
  })
}

// 查询费用类型详细
export function getType(id) {
  return request({
    url: '/fee/type/' + id,
    method: 'get'
  })
}

// 新增费用类型
export function addType(data) {
  return request({
    url: '/fee/type',
    method: 'post',
    data: data
  })
}

// 修改费用类型
export function updateType(data) {
  return request({
    url: '/fee/type',
    method: 'put',
    data: data
  })
}

// 删除费用类型
export function delType(id) {
  return request({
    url: '/fee/type/' + id,
    method: 'delete'
  })
}

// 导出费用类型
export function exportType(query) {
  return request({
    url: '/fee/type/' + 'export',
    method: 'post',
    params: query
  })
}
